From 4794923f4deed9e8b29dbeeb7430991be69a33be Mon Sep 17 00:00:00 2001
From: Matteo Bernardini <ponce@slackbuilds.org>
Date: Fri, 7 Sep 2012 19:44:17 +0200
Subject: graphics/nomacs: Added (qt image viewer).

Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
---
 graphics/nomacs/README            |  5 ++
 graphics/nomacs/doinst.sh         |  3 ++
 graphics/nomacs/nomacs.SlackBuild | 98 +++++++++++++++++++++++++++++++++++++++
 graphics/nomacs/nomacs.info       | 10 ++++
 graphics/nomacs/slack-desc        | 19 ++++++++
 5 files changed, 135 insertions(+)
 create mode 100644 graphics/nomacs/README
 create mode 100644 graphics/nomacs/doinst.sh
 create mode 100644 graphics/nomacs/nomacs.SlackBuild
 create mode 100644 graphics/nomacs/nomacs.info
 create mode 100644 graphics/nomacs/slack-desc

(limited to 'graphics')

diff --git a/graphics/nomacs/README b/graphics/nomacs/README
new file mode 100644
index 0000000000000..62e6301ce7592
--- /dev/null
+++ b/graphics/nomacs/README
@@ -0,0 +1,5 @@
+nomacs (Qt image viewer)
+
+nomacs is a free image viewer for windows and linux systems.
+nomacs is small,fast and able to handle the most common image formats.
+Additionally it is possible to synchronize multiple viewers.
diff --git a/graphics/nomacs/doinst.sh b/graphics/nomacs/doinst.sh
new file mode 100644
index 0000000000000..5fb28930db0b9
--- /dev/null
+++ b/graphics/nomacs/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/nomacs/nomacs.SlackBuild b/graphics/nomacs/nomacs.SlackBuild
new file mode 100644
index 0000000000000..a78395ee8f1f6
--- /dev/null
+++ b/graphics/nomacs/nomacs.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for nomacs
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nomacs
+VERSION=${VERSION:-0.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+DOCS="Readme/COPYRIGHT Readme/LICENSE* Readme/README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-source.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+  cmake \
+    -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+    -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_BUILD_TYPE=Release ..
+  make 
+  make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/nomacs/nomacs.info b/graphics/nomacs/nomacs.info
new file mode 100644
index 0000000000000..fed12257bf0f5
--- /dev/null
+++ b/graphics/nomacs/nomacs.info
@@ -0,0 +1,10 @@
+PRGNAM="nomacs"
+VERSION="0.4.0"
+HOMEPAGE="http://www.nomacs.org"
+DOWNLOAD="http://downloads.sourceforge.net/nomacs/nomacs-0.4.0-source.zip"
+MD5SUM="3ae8cf0da41ea10d41bdd33d41bd7282"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="LibRaw opencv"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/graphics/nomacs/slack-desc b/graphics/nomacs/slack-desc
new file mode 100644
index 0000000000000..713e756cc8909
--- /dev/null
+++ b/graphics/nomacs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+      |-----handy-ruler------------------------------------------------------|
+nomacs: nomacs (Qt image viewer)
+nomacs:
+nomacs: nomacs is a free image viewer for windows and linux systems.
+nomacs: nomacs is small,fast and able to handle the most common image formats.
+nomacs: Additionally it is possible to synchronize multiple viewers.
+nomacs:
+nomacs: homepage: http://www.nomacs.org/
+nomacs:
+nomacs:
+nomacs:
+nomacs:
-- 
cgit v1.2.3